ResumePausedBundleAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.ResumePausedBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceResumePausedBundleAutomationRequest{
RequestCatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ResumePausedBundleAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.resumePausedBundleAutomation({
requestCatalogId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation/resume"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/catalogs/{request_catalog_id}/bundle_automation/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Request Catalog
Resume Paused Bundle Automation
Resume a bundle automation that was paused by the circuit breaker after detecting excessive membership changes.
POST
/
api
/
v1
/
catalogs
/
{request_catalog_id}
/
bundle_automation
/
resume
ResumePausedBundleAutomation
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.RequestCatalogManagement.ResumePausedBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceResumePausedBundleAutomationRequest{
RequestCatalogID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.ResumePausedBundleAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.requestCatalogManagement.resumePausedBundleAutomation({
requestCatalogId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of the access profile whose automation should be resumed.
Body
application/json
The request message for resuming a paused bundle automation.
Response
200 - application/json
The response message for resuming a paused bundle automation.
The response message for resuming a paused bundle automation.
Was this page helpful?
⌘I